CREATE TABLE "lowcode_base_module" (
    id bigint PRIMARY KEY,
    module_code varchar(45) NOT NULL DEFAULT '',
    module_name varchar(32) NOT NULL DEFAULT '',
    module_description varchar(255) NOT NULL DEFAULT '',
    module_version varchar(16) NOT NULL DEFAULT 'v1.0.0',
    env varchar(16) NOT NULL DEFAULT '',
    package_id bigint NOT NULL DEFAULT '0',
    project_id bigint NOT NULL DEFAULT '0',
    module_type tinyint NOT NULL DEFAULT '1',
    request_mode varchar(16) NOT NULL DEFAULT 'POST',
    is_login tinyint NOT NULL DEFAULT '0',
    process_conf text,
    valid tinyint NOT NULL DEFAULT '0',
    gmt_create TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP,
    gmt_modified TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP,
    params text,
    mock text,
    chart_url varchar(255) NOT NULL DEFAULT '',
    interrupt text,
    create_user bigint NOT NULL DEFAULT '0',
    modified_user bigint NOT NULL DEFAULT '0',
    system_version varchar(16) NOT NULL DEFAULT '',
    conf text,
    sort INT NOT NULL DEFAULT '1',
    constraint "VALID-PROJECTID-CODE" unique(valid,project_id,module_code)
)